Change schema registry settings

Prev Next

Available in VPC

Update schema's compatibility settings.

Note

You can set compatibility policies for each key and value schema. When compatibility is enabled, compatibility checks against existing schemas are performed when registering new schemas.

Request

This section describes the request format. The method and URI are as follows:

Method URI
PUT /api/v1/topics/{topicId}/registry-config

Request headers

For information about the headers common to all Data Stream APIs, see Data Stream request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
topicId String Required Topic ID

Request body

You can include the following data in the body of your request:

Field Type Required Description
keyCompatibility Boolean Required Key schema compatibility activation
  • true: Enable compatibility check (BACKWARD)
  • false: Disable compatibility check (NONE)
valueCompatibility Boolean Required Value schema compatibility activation
  • true: Enable compatibility check (BACKWARD)
  • false: Disable compatibility check (NONE)

Request example

The request example is as follows:

curl --location --request PUT 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/registry-config' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--data '{
  "keyCompatibility": true,
  "valueCompatibility": false
}'

Response

This section describes the response format.

Response status codes

For information about the HTTP status codes common to all Data Stream APIs, see Data Stream response status codes.

Response example

If the compatibility settings are successfully updated, there is no response body, and a status code 200 is returned.

HTTP/1.1 200 OK